import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class AlertService {
  msg: any;
  err: any;

  constructor() {}

  successMsg() {
    return this.msg;
  }

  errMsg() {
    return this.err;
  }

  setErr(txt: string) {
    this.err = txt;
    setTimeout(() => {
      this.err = undefined;
    }, 5000);
  }

  setMsg(txt: string) {
    this.msg = txt;
    setTimeout(() => {
      this.msg = undefined;
    }, 5000);
  }
}
