import { Injectable } from '@angular/core';
import * as jwt_decode from 'jwt-decode';

@Injectable({
  providedIn: 'root'
})
export class TokenService {
  constructor() {}

  setToken(token) {
    localStorage.setItem('AuthToken', token);
  }

  getToken() {
    let token = localStorage.getItem('AuthToken');
    // // console.log('TOken' + token);
    return token;
  }

  deleteToken() {
    localStorage.removeItem('AuthToken');
  }

  setUser(user) {
    localStorage.setItem('user', JSON.stringify(user));
  }

  getUser() {
    let user = JSON.parse(localStorage.getItem('user'));
    return user;
  }

  // getTokenExpirationDate(token: string): Date {
  //   const decoded = jwt_decode(token);
  //   if (decoded.exp === undefined) {
  //     return null;
  //   }
  //   const date = new Date(0);
  //   date.setUTCSeconds(decoded.exp);
  //   // // console.log(date);
  //   return date;
  // }

  // isTokenExpired(token?: string): boolean {
  //   if (!token) {
  //     token = this.getToken();
  //   }
  //   if (!token) {
  //     return true;
  //   }
  //   const date = this.getTokenExpirationDate(token);
  //   if (date === undefined) {
  //     return false;
  //   }
  //   // console.log( !(date.valueOf() > new Date().valueOf()));
  //   return !(date.valueOf() > new Date().valueOf());
  // }
}
