import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { TokenService } from 'src/app/services/token.service';

@Injectable({
  providedIn: 'root'
})
export class GetuserService {

  authToken: any;

  constructor(
    private http: HttpClient,
    private token: TokenService,
  ) { }

  getUserDetail(userid: any) {
    this.authToken = this.token.getToken();
    const header: HttpHeaders = new HttpHeaders().set('Authorization', this.authToken);
    const url = `${environment.url}/user/getUser/${userid}`;
    return this.http.get(url, {headers: header});
  }
}
